# Update A Video Entity

## /v1/video\_entities/:id

<mark style="color:orange;">`PUT`</mark> `https://api.uiza/sh/v1/video_entities/:id`

#### Path Parameters

| Name | Type   | Description                                       |
| ---- | ------ | ------------------------------------------------- |
| id   | string | The identifier of the video entity to be updated. |

#### Request Body

| Name               | Type   | Description                                                                                                                                                                                                                          |
| ------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| name               | string | <p>The new name of the video entity to be updated. <br>This parameter cannot be empty in your body request.</p>                                                                                                                      |
| description        | string | <p>The new description of the video entity to be updated. <br>This version does not support update description as an empty string. In case your old description is incorrect, replace it with the new one that makes more sense.</p> |
| short\_description | string | The new short description of the video entity to be updated. Same as description, replace it with the new one when your old is incorrect.                                                                                            |
| poster             | string | The URL of the new video entity's poster image to be updated. Same as description, replace it with the new one when your old is incorrect.                                                                                           |
| thumbnail          | string | The URL of the new video entity's thumbnail image to be updated. Same as description, replace it with the new one when your old is incorrect.                                                                                        |

{% tabs %}
{% tab title="200 " %}

```
{
 "id": "f42b4ac3-869e-4010-8e21-042e40be7655",
 "name": "Sample Demo-Video 1",
 "description": "Habemus nusquam tractatos ut eam, eu brute aliquam fuisset sea",
 "short_description": "Duo ad graeci principes, legimus mnesarchum scribentur ut pro",
 "view": 1000,
 "poster": "Lorem ipsum dolor",
 "thumbnail": "Lorem ipsum dolor",
 "input_type": "VOD",
 "duration": 11213,
 "publish_to_cdn": "queue",
 "created_at": "2019-12-11T02:47:04Z",
 "updated_at": "2019-12-11T02:47:04Z"
}
```

{% endtab %}

{% tab title="400 " %}

```
{
 "message": "Your request is missing id parameter. Please, verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
 "message": "The video entity you requested does not exist.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X PUT https://api.uiza.sh/v1/video_entities/f42b4ac3-869e-4010-8e21-042e40be7655 
     -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64' 
     -d '{"name":"Sample Demo-Video 1", "description":"Habemus nusquam tractatos ut eam, eu brute aliquam fuisset sea"}'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/api-reference/video-entities/update-a-video-entity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
